Name:           python-pysigmakoki
Version:        2.1.7
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python Interface for Instruments by Sigma Koki

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/akira-okumura/PySigmaKoki.git
Source:         %{pypi_source pysigmakoki}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pysigmakoki' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pysigmakoki
Summary:        %{summary}

%description -n python3-pysigmakoki %_description


%prep
%autosetup -p1 -n pysigmakoki-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pysigmakoki -f %{pyproject_files}


%changelog
%autochangelog